; ====================================================;
;                                                     ;
;     glu32.inc for EC v2 SolAsm visual projects      ;
;                   (version 1.0.1)                   ;
;                                                     ;
;            Copyright  Ramon Sala - 2022            ;
;                                                     ;
; ====================================================;

#ifndef GLU32_INC
GLU32_INC equ 1

#if COFF_FORMAT == 1
    from_lib glu32.lib
#else
    from_dll glu32.dll
#endif

#ifdef APP_WIN64
    import gluBeginCurve
    import gluBeginPolygon
    import gluBeginSurface
    import gluBeginTrim
    import gluBuild1DMipmaps
    import gluBuild2DMipmaps
    import gluCylinder
    import gluDeleteNurbsRenderer
    import gluDeleteQuadric
    import gluDeleteTess
    import gluDisk
    import gluEndCurve
    import gluEndPolygon
    import gluEndSurface
    import gluEndTrim
    import gluErrorString
    import gluErrorUnicodeStringEXT
    import gluGetNurbsProperty
    import gluGetString
    import gluGetTessProperty
    import gluLoadSamplingMatrices
    import gluLookAt
    import gluNewNurbsRenderer
    import gluNewQuadric
    import gluNewTess
    import gluNextContour
    import gluNurbsCallback
    import gluNurbsCurve
    import gluNurbsProperty
    import gluNurbsSurface
    import gluOrtho2D
    import gluPartialDisk
    import gluPerspective
    import gluPickMatrix
    import gluProject
    import gluPwlCurve
    import gluQuadricCallback
    import gluQuadricDrawStyle
    import gluQuadricNormals
    import gluQuadricOrientation
    import gluQuadricTexture
    import gluScaleImage
    import gluSphere
    import gluTessBeginContour
    import gluTessBeginPolygon
    import gluTessCallback
    import gluTessEndContour
    import gluTessEndPolygon
    import gluTessNormal
    import gluTessProperty
    import gluTessVertex
    import gluUnProject
#else
    extern gluBeginCurve alias _gluBeginCurve@4
    extern gluBeginPolygon alias _gluBeginPolygon@4
    extern gluBeginSurface alias _gluBeginSurface@4
    extern gluBeginTrim alias _gluBeginTrim@4
    extern gluBuild1DMipmaps alias _gluBuild1DMipmaps@24
    extern gluBuild2DMipmaps alias _gluBuild2DMipmaps@28
    extern gluCylinder alias _gluCylinder@36
    extern gluDeleteNurbsRenderer alias _gluDeleteNurbsRenderer@4
    extern gluDeleteQuadric alias _gluDeleteQuadric@4
    extern gluDeleteTess alias _gluDeleteTess@4
    extern gluDisk alias _gluDisk@28
    extern gluEndCurve alias _gluEndCurve@4
    extern gluEndPolygon alias _gluEndPolygon@4
    extern gluEndSurface alias _gluEndSurface@4
    extern gluEndTrim alias _gluEndTrim@4
    extern gluErrorString alias _gluErrorString@4
    extern gluErrorUnicodeStringEXT alias _gluErrorUnicodeStringEXT@4
    extern gluGetNurbsProperty alias _gluGetNurbsProperty@12
    extern gluGetString alias _gluGetString@4
    extern gluGetTessProperty alias _gluGetTessProperty@12
    extern gluLoadSamplingMatrices alias _gluLoadSamplingMatrices@16
    extern gluLookAt alias _gluLookAt@72
    extern gluNewNurbsRenderer alias _gluNewNurbsRenderer@0
    extern gluNewQuadric alias _gluNewQuadric@0
    extern gluNewTess alias _gluNewTess@0
    extern gluNextContour alias _gluNextContour@8
    extern gluNurbsCallback alias _gluNurbsCallback@12
    extern gluNurbsCurve alias _gluNurbsCurve@28
    extern gluNurbsProperty alias _gluNurbsProperty@12
    extern gluNurbsSurface alias _gluNurbsSurface@44
    extern gluOrtho2D alias _gluOrtho2D@32
    extern gluPartialDisk alias _gluPartialDisk@44
    extern gluPerspective alias _gluPerspective@32
    extern gluPickMatrix alias _gluPickMatrix@36
    extern gluProject alias _gluProject@48
    extern gluPwlCurve alias _gluPwlCurve@20
    extern gluQuadricCallback alias _gluQuadricCallback@12
    extern gluQuadricDrawStyle alias _gluQuadricDrawStyle@8
    extern gluQuadricNormals alias _gluQuadricNormals@8
    extern gluQuadricOrientation alias _gluQuadricOrientation@8
    extern gluQuadricTexture alias _gluQuadricTexture@8
    extern gluScaleImage alias _gluScaleImage@36
    extern gluSphere alias _gluSphere@20
    extern gluTessBeginContour alias _gluTessBeginContour@4
    extern gluTessBeginPolygon alias _gluTessBeginPolygon@8
    extern gluTessCallback alias _gluTessCallback@12
    extern gluTessEndContour alias _gluTessEndContour@4
    extern gluTessEndPolygon alias _gluTessEndPolygon@4
    extern gluTessNormal alias _gluTessNormal@28
    extern gluTessProperty alias _gluTessProperty@16
    extern gluTessVertex alias _gluTessVertex@12
    extern gluUnProject alias _gluUnProject@48
#endif

#endif ;GLU32_INC
